<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Barrel_ColorBase Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/da3/class_barrel___color_base.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">Barrel_ColorBase Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Barrel_ColorBase:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/da3/class_barrel___color_base.png" usemap="#Barrel_5FColorBase_map" alt=""/>
  <map id="Barrel_5FColorBase_map" name="Barrel_5FColorBase_map">
<area href="../../de/d60/class_barrel___blue.html" alt="Barrel_Blue" shape="rect" coords="0,112,166,136"/>
<area href="../../df/d63/class_barrel___green.html" alt="Barrel_Green" shape="rect" coords="176,112,342,136"/>
<area href="../../d3/d9f/class_barrel___red.html" alt="Barrel_Red" shape="rect" coords="352,112,518,136"/>
<area href="../../df/d61/class_barrel___yellow.html" alt="Barrel_Yellow" shape="rect" coords="528,112,694,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a9164a3b6d3ef71b20133b5c225660c57"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a9164a3b6d3ef71b20133b5c225660c57">Barrel_ColorBase</a> ()</td></tr>
<tr class="separator:a9164a3b6d3ef71b20133b5c225660c57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ba4442e65c7f994a1b8d26fb12350e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ac6ba4442e65c7f994a1b8d26fb12350e">GetDamageSystemVersionChange</a> ()</td></tr>
<tr class="separator:ac6ba4442e65c7f994a1b8d26fb12350e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0525ad03b36937a2d2145f977f8d774"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ad0525ad03b36937a2d2145f977f8d774">OnStoreSave</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx)</td></tr>
<tr class="separator:ad0525ad03b36937a2d2145f977f8d774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30df4f2e580a25b75d64292468e8a3ef"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a30df4f2e580a25b75d64292468e8a3ef">OnStoreLoad</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> version)</td></tr>
<tr class="separator:a30df4f2e580a25b75d64292468e8a3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7854e516ac98819fe4cb0d61c0f28ace"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a7854e516ac98819fe4cb0d61c0f28ace">IsLocked</a> ()</td></tr>
<tr class="separator:a7854e516ac98819fe4cb0d61c0f28ace"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a263007de3b65e2efce6ecf058538935b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a263007de3b65e2efce6ecf058538935b">Open</a> ()</td></tr>
<tr class="separator:a263007de3b65e2efce6ecf058538935b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac140b213c2c423e6ad474eb6ac890fa7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ac140b213c2c423e6ad474eb6ac890fa7">OpenLoad</a> ()</td></tr>
<tr class="separator:ac140b213c2c423e6ad474eb6ac890fa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04accc2fbdaadb7e357ff96b5aa3f2c9"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a04accc2fbdaadb7e357ff96b5aa3f2c9">Close</a> ()</td></tr>
<tr class="separator:a04accc2fbdaadb7e357ff96b5aa3f2c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd172409bb2b7f82bccbd65e1e5a2fd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a9cd172409bb2b7f82bccbd65e1e5a2fd">CloseLoad</a> ()</td></tr>
<tr class="separator:a9cd172409bb2b7f82bccbd65e1e5a2fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe3999c244c003a78e568d3bb08d15b7"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#abe3999c244c003a78e568d3bb08d15b7">IsOpen</a> ()</td></tr>
<tr class="separator:abe3999c244c003a78e568d3bb08d15b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1c7b096be62064a3b0c78b6698426ae"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ae1c7b096be62064a3b0c78b6698426ae">OnWasAttached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:ae1c7b096be62064a3b0c78b6698426ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a963777565b57425bdc4c6a95ca48d0b8"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a963777565b57425bdc4c6a95ca48d0b8">OnWasDetached</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> slot_id)</td></tr>
<tr class="separator:a963777565b57425bdc4c6a95ca48d0b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17e2186a8c9d3955d8d6bbdb95e6181e"><td class="memItemLeft" align="right" valign="top">protected void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a17e2186a8c9d3955d8d6bbdb95e6181e">UpdateVisualState</a> ()</td></tr>
<tr class="separator:a17e2186a8c9d3955d8d6bbdb95e6181e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27c535743007c67ec75d089e90751373"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a27c535743007c67ec75d089e90751373">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:a27c535743007c67ec75d089e90751373"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb08dddc2639da10f3eef648e1ce0d8a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#abb08dddc2639da10f3eef648e1ce0d8a">SoundBarrelOpenPlay</a> ()</td></tr>
<tr class="separator:abb08dddc2639da10f3eef648e1ce0d8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaeb7ffbeef9605f5bdd424f1838fa547"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#aaeb7ffbeef9605f5bdd424f1838fa547">SoundBarrelClosePlay</a> ()</td></tr>
<tr class="separator:aaeb7ffbeef9605f5bdd424f1838fa547"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc3b27aea9592d7b87562494104bc9df"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#abc3b27aea9592d7b87562494104bc9df">Lock</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> actiontime)</td></tr>
<tr class="separator:abc3b27aea9592d7b87562494104bc9df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a425b7334ae3335bbdbc39d2c169b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ae8a425b7334ae3335bbdbc39d2c169b9">Unlock</a> ()</td></tr>
<tr class="separator:ae8a425b7334ae3335bbdbc39d2c169b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95ac3e5edab930d5a97ef1deccd108e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a95ac3e5edab930d5a97ef1deccd108e6">DetermineAction</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a95ac3e5edab930d5a97ef1deccd108e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86a2f0b1efb409e2ba75c1e1fa5b685d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a86a2f0b1efb409e2ba75c1e1fa5b685d">ProduceFertilizer</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> guts, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> plant, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a86a2f0b1efb409e2ba75c1e1fa5b685d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb268fdbc47ac5d96db337463043597b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#afb268fdbc47ac5d96db337463043597b">TanPelts</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> lime, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:afb268fdbc47ac5d96db337463043597b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70fe8d000e2a10c80bebdf2d5f1714ca"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a70fe8d000e2a10c80bebdf2d5f1714ca">ColourLeatherClothes</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> color_source, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> color)</td></tr>
<tr class="separator:a70fe8d000e2a10c80bebdf2d5f1714ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85d3102697320915d6b11098611cefcc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a85d3102697320915d6b11098611cefcc">BleachClothes</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> bleach, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:a85d3102697320915d6b11098611cefcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae60775ec095e7a1dcac0ed9446b47bd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#aae60775ec095e7a1dcac0ed9446b47bd">ColourClothes</a> (<a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> rci, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> gci, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> bci, <a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player)</td></tr>
<tr class="separator:aae60775ec095e7a1dcac0ed9446b47bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d19d8d45aacc9c2c5a929ad46a53bc9"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a1d19d8d45aacc9c2c5a929ad46a53bc9">CanPutInCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a1d19d8d45aacc9c2c5a929ad46a53bc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad44cb180e042e9d84b621781f9e288af"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#ad44cb180e042e9d84b621781f9e288af">CanPutIntoHands</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:ad44cb180e042e9d84b621781f9e288af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d9963ab5a953a8c31af8ea53024b442"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a6d9963ab5a953a8c31af8ea53024b442">CanReceiveItemIntoCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item)</td></tr>
<tr class="separator:a6d9963ab5a953a8c31af8ea53024b442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27ac39f6676585b045aa249eaf12e589"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a27ac39f6676585b045aa249eaf12e589">CanReleaseCargo</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> attachment)</td></tr>
<tr class="separator:a27ac39f6676585b045aa249eaf12e589"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cecf6e53e4340b507856458becb86b8"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a1cecf6e53e4340b507856458becb86b8">CanDetachAttachment</a> (<a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a> parent)</td></tr>
<tr class="separator:a1cecf6e53e4340b507856458becb86b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eaa51ab3d06939c82cdf4ce66205ecb"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a9eaa51ab3d06939c82cdf4ce66205ecb">OnPlacementComplete</a> (Man player, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position=&quot;0 0 0&quot;, <a class="el" href="../../d7/dfc/classvector.html">vector</a> orientation=&quot;0 0 0&quot;)</td></tr>
<tr class="separator:a9eaa51ab3d06939c82cdf4ce66205ecb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a899795d6cfb9b54601ee8c532f9b587b"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a899795d6cfb9b54601ee8c532f9b587b">GetPlaceSoundset</a> ()</td></tr>
<tr class="separator:a899795d6cfb9b54601ee8c532f9b587b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf4f1fecd4bd697567a449f1b03b90e2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#abf4f1fecd4bd697567a449f1b03b90e2">GetLiquidThroughputCoef</a> ()</td></tr>
<tr class="separator:abf4f1fecd4bd697567a449f1b03b90e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba9b570a080f490322d1b8508af8cbea"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#aba9b570a080f490322d1b8508af8cbea">SetActions</a> ()</td></tr>
<tr class="separator:aba9b570a080f490322d1b8508af8cbea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a39977bdb2d9fbb317947ddcdbfa8bb81"><td class="memItemLeft" align="right" valign="top">private <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a39977bdb2d9fbb317947ddcdbfa8bb81">m_IsLocked</a> = false</td></tr>
<tr class="separator:a39977bdb2d9fbb317947ddcdbfa8bb81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa439ef8205603c370a67811425a90ee2"><td class="memItemLeft" align="right" valign="top">private ref Timer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#aa439ef8205603c370a67811425a90ee2">m_BarrelOpener</a></td></tr>
<tr class="separator:aa439ef8205603c370a67811425a90ee2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453531f4d04a0edfc92c93135b68daef"><td class="memItemLeft" align="right" valign="top">ref <a class="el" href="../../dc/da7/class_rain_procurement_manager.html">RainProcurementManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a453531f4d04a0edfc92c93135b68daef">m_RainProcurement</a></td></tr>
<tr class="separator:a453531f4d04a0edfc92c93135b68daef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a413060b7702fc8de59a99e81e8ac8f14"><td class="memItemLeft" align="right" valign="top">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/da3/class_barrel___color_base.html#a413060b7702fc8de59a99e81e8ac8f14">m_Openable</a></td></tr>
<tr class="separator:a413060b7702fc8de59a99e81e8ac8f14"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9164a3b6d3ef71b20133b5c225660c57" name="a9164a3b6d3ef71b20133b5c225660c57"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9164a3b6d3ef71b20133b5c225660c57">&#9670;&#160;</a></span>Barrel_ColorBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::Barrel_ColorBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00009">9</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a85d3102697320915d6b11098611cefcc" name="a85d3102697320915d6b11098611cefcc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85d3102697320915d6b11098611cefcc">&#9670;&#160;</a></span>BleachClothes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::BleachClothes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>bleach</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00365">365</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a1cecf6e53e4340b507856458becb86b8" name="a1cecf6e53e4340b507856458becb86b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cecf6e53e4340b507856458becb86b8">&#9670;&#160;</a></span>CanDetachAttachment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::CanDetachAttachment </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00536">536</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a1d19d8d45aacc9c2c5a929ad46a53bc9" name="a1d19d8d45aacc9c2c5a929ad46a53bc9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d19d8d45aacc9c2c5a929ad46a53bc9">&#9670;&#160;</a></span>CanPutInCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::CanPutInCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00501">501</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ad44cb180e042e9d84b621781f9e288af" name="ad44cb180e042e9d84b621781f9e288af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad44cb180e042e9d84b621781f9e288af">&#9670;&#160;</a></span>CanPutIntoHands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::CanPutIntoHands </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00512">512</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a6d9963ab5a953a8c31af8ea53024b442" name="a6d9963ab5a953a8c31af8ea53024b442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d9963ab5a953a8c31af8ea53024b442">&#9670;&#160;</a></span>CanReceiveItemIntoCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::CanReceiveItemIntoCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>item</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00523">523</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a27ac39f6676585b045aa249eaf12e589" name="a27ac39f6676585b045aa249eaf12e589"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27ac39f6676585b045aa249eaf12e589">&#9670;&#160;</a></span>CanReleaseCargo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::CanReleaseCargo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00531">531</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a04accc2fbdaadb7e357ff96b5aa3f2c9" name="a04accc2fbdaadb7e357ff96b5aa3f2c9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04accc2fbdaadb7e357ff96b5aa3f2c9">&#9670;&#160;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00085">85</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a9cd172409bb2b7f82bccbd65e1e5a2fd" name="a9cd172409bb2b7f82bccbd65e1e5a2fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cd172409bb2b7f82bccbd65e1e5a2fd">&#9670;&#160;</a></span>CloseLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::CloseLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00098">98</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="aae60775ec095e7a1dcac0ed9446b47bd" name="aae60775ec095e7a1dcac0ed9446b47bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aae60775ec095e7a1dcac0ed9446b47bd">&#9670;&#160;</a></span>ColourClothes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::ColourClothes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>rci</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>gci</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>bci</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00437">437</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a70fe8d000e2a10c80bebdf2d5f1714ca" name="a70fe8d000e2a10c80bebdf2d5f1714ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a70fe8d000e2a10c80bebdf2d5f1714ca">&#9670;&#160;</a></span>ColourLeatherClothes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::ColourLeatherClothes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>color_source</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>color</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00314">314</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a95ac3e5edab930d5a97ef1deccd108e6" name="a95ac3e5edab930d5a97ef1deccd108e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95ac3e5edab930d5a97ef1deccd108e6">&#9670;&#160;</a></span>DetermineAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::DetermineAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00188">188</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ac6ba4442e65c7f994a1b8d26fb12350e" name="ac6ba4442e65c7f994a1b8d26fb12350e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6ba4442e65c7f994a1b8d26fb12350e">&#9670;&#160;</a></span>GetDamageSystemVersionChange()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> Barrel_ColorBase::GetDamageSystemVersionChange </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00023">23</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="abf4f1fecd4bd697567a449f1b03b90e2" name="abf4f1fecd4bd697567a449f1b03b90e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf4f1fecd4bd697567a449f1b03b90e2">&#9670;&#160;</a></span>GetLiquidThroughputCoef()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d4/dc3/classfloat.html">float</a> Barrel_ColorBase::GetLiquidThroughputCoef </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00559">559</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a899795d6cfb9b54601ee8c532f9b587b" name="a899795d6cfb9b54601ee8c532f9b587b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a899795d6cfb9b54601ee8c532f9b587b">&#9670;&#160;</a></span>GetPlaceSoundset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> Barrel_ColorBase::GetPlaceSoundset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00553">553</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a7854e516ac98819fe4cb0d61c0f28ace" name="a7854e516ac98819fe4cb0d61c0f28ace"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7854e516ac98819fe4cb0d61c0f28ace">&#9670;&#160;</a></span>IsLocked()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::IsLocked </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00058">58</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="abe3999c244c003a78e568d3bb08d15b7" name="abe3999c244c003a78e568d3bb08d15b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe3999c244c003a78e568d3bb08d15b7">&#9670;&#160;</a></span>IsOpen()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::IsOpen </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00109">109</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="abc3b27aea9592d7b87562494104bc9df" name="abc3b27aea9592d7b87562494104bc9df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc3b27aea9592d7b87562494104bc9df">&#9670;&#160;</a></span>Lock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::Lock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>actiontime</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00176">176</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a9eaa51ab3d06939c82cdf4ce66205ecb" name="a9eaa51ab3d06939c82cdf4ce66205ecb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9eaa51ab3d06939c82cdf4ce66205ecb">&#9670;&#160;</a></span>OnPlacementComplete()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::OnPlacementComplete </td>
          <td>(</td>
          <td class="paramtype">Man&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>position</em> = <code>&quot;0&#160;0&#160;0&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>orientation</em> = <code>&quot;0&#160;0&#160;0&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00546">546</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a30df4f2e580a25b75d64292468e8a3ef" name="a30df4f2e580a25b75d64292468e8a3ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30df4f2e580a25b75d64292468e8a3ef">&#9670;&#160;</a></span>OnStoreLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::OnStoreLoad </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>version</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00035">35</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ad0525ad03b36937a2d2145f977f8d774" name="ad0525ad03b36937a2d2145f977f8d774"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad0525ad03b36937a2d2145f977f8d774">&#9670;&#160;</a></span>OnStoreSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::OnStoreSave </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00028">28</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a27c535743007c67ec75d089e90751373" name="a27c535743007c67ec75d089e90751373"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27c535743007c67ec75d089e90751373">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00142">142</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ae1c7b096be62064a3b0c78b6698426ae" name="ae1c7b096be62064a3b0c78b6698426ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1c7b096be62064a3b0c78b6698426ae">&#9670;&#160;</a></span>OnWasAttached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::OnWasAttached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00114">114</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a963777565b57425bdc4c6a95ca48d0b8" name="a963777565b57425bdc4c6a95ca48d0b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a963777565b57425bdc4c6a95ca48d0b8">&#9670;&#160;</a></span>OnWasDetached()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::OnWasDetached </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/df9/class_entity_a_i.html">EntityAI</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>slot_id</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00121">121</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a263007de3b65e2efce6ecf058538935b" name="a263007de3b65e2efce6ecf058538935b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a263007de3b65e2efce6ecf058538935b">&#9670;&#160;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::Open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00063">63</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ac140b213c2c423e6ad474eb6ac890fa7" name="ac140b213c2c423e6ad474eb6ac890fa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac140b213c2c423e6ad474eb6ac890fa7">&#9670;&#160;</a></span>OpenLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::OpenLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00075">75</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a86a2f0b1efb409e2ba75c1e1fa5b685d" name="a86a2f0b1efb409e2ba75c1e1fa5b685d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86a2f0b1efb409e2ba75c1e1fa5b685d">&#9670;&#160;</a></span>ProduceFertilizer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::ProduceFertilizer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>guts</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>plant</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00262">262</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="aba9b570a080f490322d1b8508af8cbea" name="aba9b570a080f490322d1b8508af8cbea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba9b570a080f490322d1b8508af8cbea">&#9670;&#160;</a></span>SetActions()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void Barrel_ColorBase::SetActions </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00564">564</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="aaeb7ffbeef9605f5bdd424f1838fa547" name="aaeb7ffbeef9605f5bdd424f1838fa547"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaeb7ffbeef9605f5bdd424f1838fa547">&#9670;&#160;</a></span>SoundBarrelClosePlay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::SoundBarrelClosePlay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00170">170</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="abb08dddc2639da10f3eef648e1ce0d8a" name="abb08dddc2639da10f3eef648e1ce0d8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb08dddc2639da10f3eef648e1ce0d8a">&#9670;&#160;</a></span>SoundBarrelOpenPlay()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::SoundBarrelOpenPlay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00164">164</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="afb268fdbc47ac5d96db337463043597b" name="afb268fdbc47ac5d96db337463043597b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb268fdbc47ac5d96db337463043597b">&#9670;&#160;</a></span>TanPelts()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::TanPelts </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>lime</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00275">275</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="ae8a425b7334ae3335bbdbc39d2c169b9" name="ae8a425b7334ae3335bbdbc39d2c169b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8a425b7334ae3335bbdbc39d2c169b9">&#9670;&#160;</a></span>Unlock()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void Barrel_ColorBase::Unlock </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00182">182</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a17e2186a8c9d3955d8d6bbdb95e6181e" name="a17e2186a8c9d3955d8d6bbdb95e6181e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17e2186a8c9d3955d8d6bbdb95e6181e">&#9670;&#160;</a></span>UpdateVisualState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected void Barrel_ColorBase::UpdateVisualState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00128">128</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="aa439ef8205603c370a67811425a90ee2" name="aa439ef8205603c370a67811425a90ee2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa439ef8205603c370a67811425a90ee2">&#9670;&#160;</a></span>m_BarrelOpener</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private ref Timer Barrel_ColorBase::m_BarrelOpener</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00004">4</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a39977bdb2d9fbb317947ddcdbfa8bb81" name="a39977bdb2d9fbb317947ddcdbfa8bb81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39977bdb2d9fbb317947ddcdbfa8bb81">&#9670;&#160;</a></span>m_IsLocked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private <a class="el" href="../../d9/db9/classbool.html">bool</a> Barrel_ColorBase::m_IsLocked = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a413060b7702fc8de59a99e81e8ac8f14" name="a413060b7702fc8de59a99e81e8ac8f14"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a413060b7702fc8de59a99e81e8ac8f14">&#9670;&#160;</a></span>m_Openable</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected ref <a class="el" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a> Barrel_ColorBase::m_Openable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00007">7</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<a id="a453531f4d04a0edfc92c93135b68daef" name="a453531f4d04a0edfc92c93135b68daef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453531f4d04a0edfc92c93135b68daef">&#9670;&#160;</a></span>m_RainProcurement</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref <a class="el" href="../../dc/da7/class_rain_procurement_manager.html">RainProcurementManager</a> Barrel_ColorBase::m_RainProcurement</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Entities/ItemBase/<a class="el" href="../../dd/d6e/_barrel___color_base_8c_source.html">Barrel_ColorBase.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/da3/class_barrel___color_base.html">Barrel_ColorBase</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
